-- #102
CREATE TABLE mastertosubshoprefmapper (
     mastertosubshoprefmapperid integer  not null
,    mastershoprefid      integer  not null
,    subshoprefid         integer  not null

,   constraint pk_mastersubshoprefmap           primary key (mastertosubshoprefmapperid)
,   constraint fk_mastertosubshoprefmapper_sh   foreign key (mastershoprefid)
        references shopref                          (shoprefid)
,   constraint fk_mastertosubshoprefmapper_1    foreign key (subshoprefid)
        references shopref                          (shoprefid)
)
GO
CREATE INDEX i_mastershoprefid ON mastertosubshoprefmapper (mastershoprefid)
GO
CREATE UNIQUE INDEX u_subshoprefid ON mastertosubshoprefmapper (subshoprefid)
GO
