IF OBJECT_ID('n_AffiliateOverwritableMap') IS NOT NULL
    DROP PROCEDURE n_AffiliateOverwritableMap
GO
CREATE PROCEDURE n_AffiliateOverwritableMap AS BEGIN
    declare @AffiliateOverwritableMapID int
    declare @RowCounter int

    while (@AffiliateOverwritableMapID IS NULL) begin
        update affiliateoverwritablemap_nextid set id = id + 1, @AffiliateOverwritableMapID = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert affiliateoverwritablemap_nextid (id) values (1)
            select @AffiliateOverwritableMapID = 1
        end
        if (@RowCounter > 1) BEGIN
            delete affiliateoverwritablemap_nextid
            insert affiliateoverwritablemap_nextid (id) values (1)
            select @AffiliateOverwritableMapID = 1
        end
        if exists ( select affiliateoverwritablemapid from affiliateoverwritablemap where affiliateoverwritablemapid = @AffiliateOverwritableMapID)
            select @AffiliateOverwritableMapID = null
    end

    SELECT @AffiliateOverwritableMapID
    RETURN 0
END
GO
