IF OBJECT_ID('n_AffiliateShopVisibilityMap') IS NOT NULL
    DROP PROCEDURE n_AffiliateShopVisibilityMap
GO
CREATE PROCEDURE n_AffiliateShopVisibilityMap AS BEGIN
    declare @AffiliateSelectiveVisibilityMapID int
    declare @RowCounter int

    while (@AffiliateSelectiveVisibilityMapID IS NULL) begin
        update affiliateshopvisibilitymap_nextid set id = id + 1, @AffiliateSelectiveVisibilityMapID = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert affiliateshopvisibilitymap_nextid (id) values (1)
            select @AffiliateSelectiveVisibilityMapID = 1
        end
        if (@RowCounter > 1) BEGIN
            delete affiliateshopvisibilitymap_nextid
            insert affiliateshopvisibilitymap_nextid (id) values (1)
            select @AffiliateSelectiveVisibilityMapID = 1
        end
        if exists ( select affiliateselectivevisibilitymapid from affiliateshopvisibilitymap where affiliateselectivevisibilitymapid = @AffiliateSelectiveVisibilityMapID)
            select @AffiliateSelectiveVisibilityMapID = null
    end

    SELECT @AffiliateSelectiveVisibilityMapID
    RETURN 0
END
GO
